"use strict";

exports.skinRegExp = exports.serverRegExp = exports.profileSkinsRegExp = exports.profileRegExp = exports.nameRegExp = exports.kSerializeData = exports.STEVE_SKIN_HASH = void 0;
const STEVE_SKIN_HASH = '12b92a9206470fe2';
exports.STEVE_SKIN_HASH = STEVE_SKIN_HASH;
const nameRegExp = /^(?:(?<name>[A-Za-z0-9_]{1,16})|(?<uuid>[0-9a-f]{8}-?[0-9a-f]{4}-?[0-5][0-9a-f]{3}-?[089ab][0-9a-f]{3}-?[0-9a-f]{12}))$/;
exports.nameRegExp = nameRegExp;
const profileRegExp = /(?:[^]+)?\/profile\/(?:([^]+)\.([\d]+)|([^]+))/;
exports.profileRegExp = profileRegExp;
const profileSkinsRegExp = /\/minecraft-skins\/profile\/([^]+)/;
exports.profileSkinsRegExp = profileSkinsRegExp;
const skinRegExp = /(?:[^]+)?\/skin\/([^]+)/;
exports.skinRegExp = skinRegExp;
const serverRegExp = /(?:[^]+)?\/server\/([^]+)/;
exports.serverRegExp = serverRegExp;
const kSerializeData = Symbol('serializeData');
exports.kSerializeData = kSerializeData;