"use strict";

var _context = require("./context");

Object.keys(_context).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _context[key]) return;
  exports[key] = _context[key];
});

var _skin = require("./skin");

Object.keys(_skin).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _skin[key]) return;
  exports[key] = _skin[key];
});

var _cape = require("./cape");

Object.keys(_cape).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _cape[key]) return;
  exports[key] = _cape[key];
});

var _renders = require("./renders");

Object.keys(_renders).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _renders[key]) return;
  exports[key] = _renders[key];
});

var _server = require("./server");

Object.keys(_server).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _server[key]) return;
  exports[key] = _server[key];
});

var _player = require("./player");

Object.keys(_player).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _player[key]) return;
  exports[key] = _player[key];
});

var _search = require("./search");

Object.keys(_search).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _search[key]) return;
  exports[key] = _search[key];
});