"use strict";

exports.Transformation = exports.Model = void 0;

/**
 * Skin model type
 */
var Model;
exports.Model = Model;

(function (Model) {
  Model["UNKNOWN"] = "unknown";
  Model["CLASSIC"] = "classic";
  Model["SLIM"] = "slim";
})(Model || (exports.Model = Model = {}));
/**
 * Skin transformation type
 */


var Transformation;
exports.Transformation = Transformation;

(function (Transformation) {
  Transformation["GRAYSCALE"] = "grayscale";
  Transformation["INVERT"] = "invert";
  Transformation["ROTATE_HUE_180"] = "rotate-hue-180";
  Transformation["ROTATE_HEAD_LEFT"] = "rotate-head-left";
  Transformation["ROTATE_HEAD_RIGHT"] = "rotate-head-right";
  Transformation["HAT_PUMPKIN_MASK_1"] = "hat-pumpkin-mask-1";
  Transformation["HAT_PUMPKIN_MASK_2"] = "hat-pumpkin-mask-2";
  Transformation["HAT_PUMPKIN_MASK_3"] = "hat-pumpkin-mask-3";
  Transformation["HAT_PUMPKIN_MASK_4"] = "hat-pumpkin-mask-4";
  Transformation["HAT_PUMPKIN"] = "hat-pumpkin";
  Transformation["HAT_PUMPKIN_CREEPER"] = "hat-pumpkin-creeper";
  Transformation["HAT_SANTA"] = "hat-santa";
})(Transformation || (exports.Transformation = Transformation = {}));